// $Header: /cvsroot/openyahtzee/OpenYahtzee/src/ObjectsID.h,v 1.6 2007/01/09 20:56:05 guyru Exp $
/***************************************************************************
 *   Copyright (C) 2006 by Guy Rutenberg   *
 *   guyrutenberg@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OBJECTSID_INC
#define OBJECTSID_INC

enum {
	ID_PANEL,
	ID_NEWGAME,
	ID_UNDO,
	ID_SHOWHIGHSCORE,
	ID_SETTINGS,
	ID_CHECK_FOR_UPDATES,
	
	ID_ACES,
	ID_TWOS,
	ID_THREES,
	ID_FOURS,
	ID_FIVES,
	ID_SIXES,
	ID_THREEOFAKIND,
	ID_FOUROFAKIND,
	ID_FULLHOUSE,
	ID_SMALLSEQUENCE,
	ID_LARGESEQUENCE,
	ID_YAHTZEE,
	ID_CHANCE,

	ID_ACESTEXT,
	ID_TWOSTEXT,
	ID_THREESTEXT,
	ID_FOURSTEXT,
	ID_FIVESTEXT,
	ID_SIXESTEXT,
	ID_THREEOFAKINDTEXT,
	ID_FOUROFAKINDTEXT,
	ID_FULLHOUSETEXT,
	ID_SMALLSEQUENCETEXT,
	ID_LARGESEQUENCETEXT,
	ID_YAHTZEETEXT,
	ID_CHANCETEXT,
	ID_YAHTZEEBONUSTEXT,

	ID_UPPERSECTIONTOTAL,
	ID_BONUS,
	ID_UPPERTOTAL,
	ID_LOWERTOTAL,
	ID_GRANDTOTAL,
	
	ID_ROLL,
	ID_DICE1,
	ID_DICE2,
	ID_DICE3,
	ID_DICE4,
	ID_DICE5,
	
	ID_DICE1KEEP,
	ID_DICE2KEEP,
	ID_DICE3KEEP,
	ID_DICE4KEEP,
	ID_DICE5KEEP,

	ID_INFODIALOGNAMEBOX,

	//SettingsDialog
	ID_RESETHIGHSCORE,
};


#endif
